package main;
import graph.LayeredGraphNode;
import graph.io.Reader;
import lib.SimpleNodePlacement;
import view.MainView;


/**
 * The main executable class. Starts the application.
 * @author kolja
 *
 */
public class Main {

    /**
     * Will be run when the application is started.
     * @param args the command line arguments, currently not in use
     */
    public static void main(String[] args) {
        Reader r = new Reader( "logo.json" );
        LayeredGraphNode graph = r.readInputGraph();
        SimpleNodePlacement.placeNodes( graph );
        new MainView( graph );
    }
 
} 
